# Class LoopIterationEvent

java.lang.Object
org.apache.jmeter.engine.event.LoopIterationEvent

public class LoopIterationEvent extends Object
An iteration event provides information about the iteration number and the source of the event.

## Constructor Summary

Constructors
Constructor
Description
`LoopIterationEvent(TestElement source, int iter)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIteration()`
Returns the iteration.
`TestElement`
`getSource()`
Returns the source.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoopIterationEvent

public LoopIterationEvent(TestElement source, int iter)

## Method Details

### getIteration

public int getIteration()
Returns the iteration.

Returns:
  int

### getSource

public TestElement getSource()
Returns the source.

Returns:
  TestElement